Subject: Re: BUG: fast-import, ftruncate, and file mode

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Feb 2022 15:18:17 -0800

Elijah Newren <[email-masked]> writes:

>> Am I missing something or is this really a file system bug? Surely if we
>> have opened a file for writing the file permissions when we call
>> ftruncate() should be irrelevant?
>> ...
> Oh, indeed, looks like I can't read late at night.  Sorry for the noise.

Was wondering the same thing.

We open for writing, write one object at a time and when we realize
we do not have to, we rewind that stream we are writing into using
ftruncate().  It would be a serious problem if we cannot do that.